#include "dynfloat.h"

DynFloat::DynFloat()
{
  Null();
}

DynFloat::~DynFloat()
{
  Null();
}

VOID DynFloat::Null()
{
  m_fValue = 0.0;
  m_pcTclBlock = NULL;
}

VOID DynFloat::Update()
{
  INT_32 iCode;

  if ( m_pcTclBlock != NULL )
    {
      iCode = Tcl_GlobalEval(CSLIDEWorld::GetInterp(), m_pcTclBlock);
      if ( iCode != TCL_OK )
	{
	  fprintf(CSLIDEPrimitive::GetErrorFile(), 
		  "Error: Tcl returned error code %ld for the block:\n%s",
		  iCode, m_pcTclBlock);
	  exit(1);
	}
    }
}
